# Class ImportedXmlComponent

Represents imported xml component from xml file.

#### Hierarchy

- XmlComponent
  - ImportedXmlComponent

- Defined in file/xml-components/imported-xml-component.ts:44

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml
push
fromXmlString

## Constructors

### constructor

- new ImportedXmlComponent(rootKey, _attr?): ImportedXmlComponent

- Converts the xml string to a XmlComponent tree.

  #### Parameters

  - ##### rootKey: string

  - ##### `Optional` _attr: any

  #### Returns ImportedXmlComponent

  Overrides XmlComponent.constructor

  - Defined in file/xml-components/imported-xml-component.ts:61

## Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:45

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from XmlComponent.prepForXml

  - Defined in file/xml-components/xml-component.ts:20

### push

- push(xmlComponent): void

- #### Parameters

  - ##### xmlComponent: string | XmlComponent

  #### Returns void

  - Defined in file/xml-components/imported-xml-component.ts:69

### `Static` fromXmlString

- fromXmlString(importedContent): ImportedXmlComponent

- Converts the xml string to a XmlComponent tree.

  #### Parameters

  - ##### importedContent: string

    xml content of the imported component

  #### Returns ImportedXmlComponent

  - Defined in file/xml-components/imported-xml-component.ts:50

Generated using TypeDoc